Bug 226803 - games/openrct2: update to 0.1.2
Summary: games/openrct2: update to 0.1.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-20 17:56 UTC by Piotr Kubaj
Modified: 2018-03-23 21:26 UTC (History)
2 users (show)

See Also:
pkubaj: maintainer-feedback+


Attachments
patch (6.37 KB, patch)
2018-03-20 17:56 UTC, Piotr Kubaj
no flags Details | Diff
patch (7.26 KB, patch)
2018-03-20 18:49 UTC, Piotr Kubaj
pkubaj: maintainer-approval+
Details | Diff
patch (5.98 KB, patch)
2018-03-21 08:29 UTC, Piotr Kubaj
pkubaj: maintainer-approval+
Details | Diff
patch (5.96 KB, patch)
2018-03-22 14:44 UTC, Piotr Kubaj
pkubaj: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-03-20 17:56:37 UTC
Created attachment 191663 [details]
patch

This patch updates the port to 0.1.2. It also moves PORTDOCS to Makefile and adds to patches needed two build (one only for 10).

Build-tested in Poudriere on 11-STABLE, run-tested on CURRENT.
Comment 1 Piotr Kubaj freebsd_committer 2018-03-20 18:49:27 UTC
Created attachment 191667 [details]
patch

Small update to one of patches.
Comment 2 Piotr Kubaj freebsd_committer 2018-03-21 08:29:53 UTC
Created attachment 191688 [details]
patch

Update to another patch to a form that will probably be upstreamed.
Comment 3 Piotr Kubaj freebsd_committer 2018-03-22 14:44:15 UTC
Created attachment 191735 [details]
patch

Fixed a patch to allow non-standard (not /usr/local) DATADIR.
Comment 4 Yuri Victorovich freebsd_committer 2018-03-23 21:25:55 UTC
Committed with changes.
Thank you for the update!
Comment 5 commit-hook freebsd_committer 2018-03-23 21:26:40 UTC
A commit references this bug:

Author: yuri
Date: Fri Mar 23 21:25:39 UTC 2018
New revision: 465411
URL: https://svnweb.freebsd.org/changeset/ports/465411

Log:
  games/openrct2: Update to 0.1.1 -> 0.1.2

  Port changes:
  * Add USES=desktop-file-utils
  * Add USES=shared-mime-info
  * Group the USExx section

  PR:		226803
  Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl> (maintainer)

Changes:
  head/games/openrct2/Makefile
  head/games/openrct2/distinfo
  head/games/openrct2/files/patch-src_openrct2_config_Config.cpp
  head/games/openrct2/files/patch-src_openrct2_platform_Platform.Linux.cpp
  head/games/openrct2/files/patch-src_openrct2_util_Util.cpp
  head/games/openrct2/pkg-plist